%global pypi_name sphinxcontrib-serializinghtml

# when bootstrapping sphinx, we cannot run tests yet
%bcond_with check

Name:           python-%{pypi_name}
Version:        1.1.5
Release:        %mkrel 3
Summary:        Sphinx extension for serialized HTML
Group:		Development/Python
License:        BSD
URL:            http://sphinx-doc.org/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%if %{with check}
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx >= 2
%endif

%description
sphinxcontrib-serializinghtml is a sphinx extension which outputs "serialized"
HTML files (json and pickle).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinxcontrib-serializinghtml is a sphinx extension which outputs "serialized"
HTML files (json and pickle).

%prep
%autosetup -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

find -name '*.mo' -delete

%build
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done
%py3_build

%install
%py3_install

# Move language files to /usr/share
pushd %{buildroot}%{python3_sitelib}
for lang in `find sphinxcontrib/serializinghtml/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -d %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
  mv sphinxcontrib/serializinghtml/locales/$lang/LC_MESSAGES/*.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
rm -rf sphinxcontrib/serializinghtml/locales
ln -s %{_datadir}/locale sphinxcontrib/serializinghtml/locales
popd

%find_lang sphinxcontrib.serializinghtml

%if %{with check}
%check
%{__python3} -m pytest
%endif

%files -n python3-%{pypi_name} -f sphinxcontrib.serializinghtml.lang
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib_serializinghtml-%{version}-py%{python3_version}-*.pth
%{python3_sitelib}/sphinxcontrib_serializinghtml-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.1.5-3.mga9
+ Revision: 1822123
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.1.5-2.mga9
+ Revision: 1772042
- rebuild for python3.10

* Thu Jul 15 2021 guillomovitch <guillomovitch> 1.1.5-1.mga9
+ Revision: 1736132
- new version 1.1.5

* Sun Mar 14 2021 wally <wally> 1.1.4-2.mga9
+ Revision: 1702686
- rebuild for python 3.9

* Mon Sep 14 2020 guillomovitch <guillomovitch> 1.1.4-1.mga8
+ Revision: 1626574
- new version 1.1.4

* Sun Feb 16 2020 umeabot <umeabot> 1.1.3-3.mga8
+ Revision: 1530928
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 1.1.3-2.mga8
+ Revision: 1437848
- rebuild for python3.8

* Mon Jul 15 2019 tv <tv> 1.1.3-1.mga8
+ Revision: 1421652
- imported package python-sphinxcontrib-serializinghtml


* Mon May 20 2019 Miro Hrončok <mhroncok@redhat.com> - 1.1.3-1
- Update to 1.1.3 (#1697444)

* Mon Mar 04 2019 Miro Hrončok <mhroncok@redhat.com> - 1.1.1-1
- Initial package.
